import { RES } from "../../module/RES";
import { Scene } from "../../module/views/Scene"
import { Tools } from "../Tools";


export class PlayScene extends Scene {
    get groupNames() { return ["playScene"] };

    initUi() {
        this.addChild(Tools.getSprite("playBg.jpg"))
            .addEventListener(FYGE.MouseEvent.CLICK, () => {
                console.log("点击背景")
            }, this)
            .position.set(0, 0)

       var spi =  this.addChild(new FYGE.Spine(RES.getRes("cow_spine.spi")))
       spi.position.set(375,1000)
       spi.animationManager.showAni("吃草",0);
       spi.setSkin("4级")

    }
    start(data) {
        super.start();

    }
    initEvents() {
        super.initEvents();

    }
    removeEvents() {
        super.removeEvents();

    }
}